Bug 855721 - The link "View By Country " and "View By Date" in the Events calendar view page are not valid.
The link "View By Country " and "View By Date" in the Events calendar view pa...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 02:07 EDT by Mengjiao Gao
Modified: 2015-05-14 21:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:47:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-09-10 02:07:52 EDT
Description of problem:
After I clicked "Calendar View" link to look up the events calendar, I clicked the "Year","Mouth" ,"week","Day","Prev",or "Next" link, then I found the  link "View By Country " and "View By Date" in the following page are not valid.
The link of "View By Country " in these pages is "https://openshift.redhat.com/community/calendar/events?sort=country".
But, the real link should be "https://openshift.redhat.com/community/events?sort=country".
So as the link of "View By Date" .

Version-Release number of selected component (if applicable):
Int, Production

How reproducible:
always

Steps to Reproduce:
1.Go to /community/events page.
2.Click the "Calendar View" link.
3.Click the "Year","Mouth" ,"week","Day","Prev",or "Next" link in the calendar view page.
4.Click the "View By Country " and "View By Date" link in these pages.
  
Actual results:
They will always pointed to the initial calendar view page.

Expected results:
They should pointed to the "View By Country " and "View By Date" pages successfully.

Additional info:
Comment 1 Clayton Coleman 2012-09-10 17:54:25 EDT
Calendar view is not being reset.
Comment 3 Jessica Forrester 2013-06-13 14:53:26 EDT
Fixed in prod, feature export in https://github.com/openshift/li/pull/1625
Comment 4 openshift-github-bot 2013-06-13 18:23:23 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/04138a354422f61aa1b9c608176eada3f06cb7d1
Bug 855721 - event tab links need to be absolute not relative
Comment 5 Yujie Zhang 2013-06-13 23:42:11 EDT
Tested on PROD, "Year","Mouth" ,"week","Day","Prev", "Next", "View By Country " and "View By Date" links can all work correctly, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.